import type { FontMgr as SkFontManager, Paragraph as SkParagraph } from 'canvaskit-wasm';
import { CkElementCreator, CkElementProps, ParagraphStyle } from './SkiaElementTypes';
export interface CkParagraphProps extends ParagraphStyle, CkElementProps<SkParagraph> {
    layout: number;
    fontManager: SkFontManager;
    x?: number;
    y?: number;
    children?: string;
}
export declare const createCkParagraph: CkElementCreator<'ck-paragraph'>;
